メインコンテンツまでスキップ

Create Global Cluster (V2)

This operation creates a global cluster. A global cluster consists of multiple member clusters deployed in different regions. The member clusters in a global cluster share the same CU type and CU size. You can create global clusters to provide disaster recovery and low latency access across regions.

POST/v2/globalClusters/create
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
globalClusterNamestringrequired

Name of the global cluster.

Example Value: my-global-cluster
projectIdstringrequired

ID of the project that the global cluster belongs to.

Example Value: proj-xxxxxxxxxxxxxxx
cuTypestringrequired

Compute unit (CU) type of the global cluster. Members of a global cluster share the same CU type.

Example Value: Performance-optimized
cuSizeintegerrequired

Compute unit (CU) size of the global cluster. Members of a global cluster share the same CU size.
For members in a global cluster, the value can be 1 to 1,024, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,…,64, 72, 80, 88,…,256, 272, 288, …,1024.
For details on the increment rules for the CU size, refer to the Deployment section in Detailed Plan Comparison.

Example Value: 4
primaryClusterobjectrequired

Parameters for the primary cluster of the global cluster.

clusterNamestringrequired

Name of the primary cluster.

Example Value: my-primary-cluster
regionIdstringrequired

Region ID where the primary cluster is deployed. The region must be one of the applicable regions in the specified project.

secondaryClustersarrayrequired

Parameters for the secondary clusters of the global cluster. You can specify one or more secondary clusters.

[]secondaryClustersobjectrequired
clusterNamestringrequired

Name of a secondary cluster.

Example Value: my-secondary-cluster-1
regionIdstringrequired

Region ID where the secondary cluster is deployed. The region must be one of the applicable regions in the specified project, and must be different from the region where the primary cluster is deployed.

export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"cuType": "Performance-optimized",
"cuSize": 4,
"primaryCluster": {
"clusterName": "my-primary-cluster",
"regionId": "aws-us-west-2"
},
"secondaryClusters": [
{
"clusterName": "my-secondary-cluster-1",
"regionId": "aws-eu-west-1"
},
{
"clusterName": "my-secondary-cluster-2",
"regionId": "aws-ap-southeast-1"
}
]
}'
Responses200 - application/json
globalClusterIdstring

ID of the created global cluster.

Example Value: glo-xxxxxxxxxxxxxxx
usernamestring

Username for accessing the global cluster.

Example Value: admin
passwordstring

Password for accessing the global cluster.

Example Value: Passw0rd!
jobIdstring

ID of the job for creating the global cluster. You can use this ID to query the progress of the creation job.

Example Value: job-xxxxxxxxxxxxxxx

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "Passw0rd!",
"jobId": "job-xxxxxxxxxxxxxxx"
}